Package Details: mingw-w64-glfw 3.4-1

Git Clone URL: https://aur.archlinux.org/mingw-w64-glfw.git (read-only, click to copy)
Package Base: mingw-w64-glfw
Description: A free, open source, portable framework for OpenGL application development (mingw-w64)
Upstream URL: http://www.glfw.org/
Licenses: zlib
Submitter: smiszym
Maintainer: Jacuzzi
Last Packager: Jacuzzi
Votes: 8
Popularity: 0.28
First Submitted: 2015-08-23 12:01 (UTC)
Last Updated: 2024-02-26 11:53 (UTC)

Latest Comments

Jacuzzi commented on 2024-04-18 10:04 (UTC)

I tested the package on a new Arch Linux installation and I can't reproduce the issue.

Jarhmander commented on 2024-04-17 18:24 (UTC)

The package currently does not build--more precisely, it does not package. I tried understanding the problem and for the life of me I cannot figure out what happens. I initially supposed that it's a problem in the PKGBUILD, but I realize it's probably a packaging issue from upstream, though using the source code zip results in the same issue. The (stupid) workaround I found is this:

 makedepends=('mingw-w64-gcc' 'mingw-w64-cmake')
 depends=('mingw-w64-crt')
 options=('!strip' '!buildflags' 'staticlibs')
-source=(https://github.com/glfw/glfw/releases/download/${pkgver}/glfw-${pkgver}.zip)
-sha256sums=('b5ec004b2712fd08e8861dc271428f048775200a2df719ccf575143ba749a3e9')
+source=(glfw-${pkgver}::git+https://github.com/glfw/glfw.git#tag=${pkgver})
+sha256sums=('SKIP')

 _architectures="i686-w64-mingw32 x86_64-w64-mingw32"

that is, download the tag by git instead of using the releases.